Bug 1126196 - [abrt] network-manager-applet: applet_schedule_update_icon(): nm-applet killed by SIGSEGV
Summary: [abrt] network-manager-applet: applet_schedule_update_icon(): nm-applet kille...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: network-manager-applet
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lubomir Rintel
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:4d7f174e98ff9850de031fdd9bd...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-03 12:32 UTC by Carlos Morel-Riquelme
Modified: 2015-12-02 16:10 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-02 03:20:05 UTC


Attachments (Terms of Use)
File: backtrace (19.79 KB, text/plain)
2014-08-03 12:32 UTC, Carlos Morel-Riquelme
no flags Details
File: cgroup (190 bytes, text/plain)
2014-08-03 12:32 UTC, Carlos Morel-Riquelme
no flags Details
File: core_backtrace (12.57 KB, text/plain)
2014-08-03 12:32 UTC, Carlos Morel-Riquelme
no flags Details
File: dso_list (10.44 KB, text/plain)
2014-08-03 12:32 UTC, Carlos Morel-Riquelme
no flags Details
File: environ (1.17 KB, text/plain)
2014-08-03 12:32 UTC, Carlos Morel-Riquelme
no flags Details
File: exploitable (82 bytes, text/plain)
2014-08-03 12:32 UTC, Carlos Morel-Riquelme
no flags Details
File: limits (1.29 KB, text/plain)
2014-08-03 12:32 UTC, Carlos Morel-Riquelme
no flags Details
File: maps (53.62 KB, text/plain)
2014-08-03 12:32 UTC, Carlos Morel-Riquelme
no flags Details
File: open_fds (1.32 KB, text/plain)
2014-08-03 12:32 UTC, Carlos Morel-Riquelme
no flags Details
File: proc_pid_status (1.06 KB, text/plain)
2014-08-03 12:32 UTC, Carlos Morel-Riquelme
no flags Details
File: var_log_messages (331 bytes, text/plain)
2014-08-03 12:32 UTC, Carlos Morel-Riquelme
no flags Details

Description Carlos Morel-Riquelme 2014-08-03 12:32:05 UTC
Version-Release number of selected component:
network-manager-applet-0.9.9.0-12.git20140424.fc21

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        nm-applet
crash_function: applet_schedule_update_icon
executable:     /usr/bin/nm-applet
kernel:         3.16.0-0.rc5.git1.1.fc21.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 applet_schedule_update_icon at applet.c:3018
 #6 g_object_notify_by_spec_internal at gobject.c:1149
 #7 g_object_notify at gobject.c:1197
 #8 mm_gdbus_modem_proxy_g_properties_changed at mm-gdbus-modem.c:4463
 #9 ffi_call_unix64 at ../src/x86/unix64.S:76
 #10 ffi_call at ../src/x86/ffi64.c:525
 #11 g_cclosure_marshal_generic at gclosure.c:1448
 #15 g_signal_emit_by_name at gsignal.c:3405
 #16 signal_cb at gdbusobjectmanagerclient.c:1050
 #17 emit_signal_instance_in_idle_cb at gdbusconnection.c:3753

Comment 1 Carlos Morel-Riquelme 2014-08-03 12:32:08 UTC
Created attachment 923600 [details]
File: backtrace

Comment 2 Carlos Morel-Riquelme 2014-08-03 12:32:09 UTC
Created attachment 923601 [details]
File: cgroup

Comment 3 Carlos Morel-Riquelme 2014-08-03 12:32:11 UTC
Created attachment 923602 [details]
File: core_backtrace

Comment 4 Carlos Morel-Riquelme 2014-08-03 12:32:12 UTC
Created attachment 923603 [details]
File: dso_list

Comment 5 Carlos Morel-Riquelme 2014-08-03 12:32:13 UTC
Created attachment 923604 [details]
File: environ

Comment 6 Carlos Morel-Riquelme 2014-08-03 12:32:14 UTC
Created attachment 923605 [details]
File: exploitable

Comment 7 Carlos Morel-Riquelme 2014-08-03 12:32:16 UTC
Created attachment 923606 [details]
File: limits

Comment 8 Carlos Morel-Riquelme 2014-08-03 12:32:17 UTC
Created attachment 923607 [details]
File: maps

Comment 9 Carlos Morel-Riquelme 2014-08-03 12:32:19 UTC
Created attachment 923608 [details]
File: open_fds

Comment 10 Carlos Morel-Riquelme 2014-08-03 12:32:20 UTC
Created attachment 923609 [details]
File: proc_pid_status

Comment 11 Carlos Morel-Riquelme 2014-08-03 12:32:21 UTC
Created attachment 923610 [details]
File: var_log_messages

Comment 12 Jirka Klimes 2014-08-18 13:31:37 UTC
> Thread 1 (Thread 0x7fa35d5c4a00 (LWP 1502)):
> #0  applet_schedule_update_icon (applet=0x68) at applet.c:3018
> No locals.

The 'applet' object is invalid.

Th pointer might be freed by gsm_device_info_free() in src/applet-device-gsm.c, when modem is destroyed ???

Carlos, are you able to reproduce and/or describe how did you provoke the crash? Was the issue caused by plugging out a modem?

Comment 13 Carlos Morel-Riquelme 2014-09-01 17:55:29 UTC
hello jirka, well i can't reproduce this crash again, this happend random, but i just connect to internet via wifi ( always).

i wope this little information can be helpfull

regards

Comment 14 Dieter Kasper 2015-02-05 08:20:30 UTC
Another user experienced a similar problem:

NetworkManager is running, but gsm connection failed after a resume:

+ nmcli g status
STATE                   CONNECTIVITY  WIFI-HW  WIFI     WWAN-HW  WWAN    
connected (local only)  limited       enabled  enabled  enabled  enabled 
+ nmcli con up uuid 8ce057ac-0950-4713-a9c0-e29118464088
Error: Connection activation failed: Connection 'T-Mobile(Telekom) Default' is not available on the device cdc-wdm0 at this time.

Then I stopped NetworkManager and started him again:
[root@oder ~]# NetworkManager --no-daemon --log-level=INFO

After this a connection to gsm was possible:
+ nmcli g status
STATE                   CONNECTIVITY  WIFI-HW  WIFI     WWAN-HW  WWAN    
connected (local only)  limited       enabled  enabled  enabled  enabled 
+ nmcli con up uuid 8ce057ac-0950-4713-a9c0-e29118464088
Connection successfully activated (D-Bus active path: /org/freedesktop/NetworkManager/ActiveConnection/3)
+ break
+ nmcli con show --active
NAME                       UUID                                  TYPE            DEVICE   
T-Mobile(Telekom) Default  8ce057ac-0950-4713-a9c0-e29118464088  gsm             cdc-wdm0 
virbr0                     18019d30-d04c-49a4-9d1f-cd62c25e99c3  bridge          virbr0   
vmnet8                     35d5e5e1-44d2-4ce6-a393-be2c6f7f0558  802-3-ethernet  vmnet8   
vmnet1                     321c3d99-fffd-48f1-a9af-dc225902e083  802-3-ethernet  vmnet1   

... and then the nm-applet crashed

reporter:       libreport-2.3.0
backtrace_rating: 4
cmdline:        nm-applet
crash_function: applet_schedule_update_icon
executable:     /usr/bin/nm-applet
kernel:         3.18.3-201.fc21.x86_64
package:        network-manager-applet-0.9.9.0-15.git20140424.fc21
reason:         nm-applet killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            2128

Comment 15 Fedora Admin XMLRPC Client 2015-10-14 14:49:57 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 16 Fedora End Of Life 2015-11-04 10:10:13 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 17 Fedora End Of Life 2015-12-02 03:20:09 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.